Subject: Re: git bisect not accepting -git kernels

From: Amit Walambe <[email-masked]>
Date: Tue, 17 Jul 2007 18:15:38 +0100

Julian Phillips wrote:
> On Tue, 17 Jul 2007, Amit Walambe wrote:
> 
>> But telling good/bad points to git bisect still fails, whether I pass 
>> the commit-id or the tags I created with commands given by René :
>>
>> root@amit:/usr/src/linux-git # git bisect good 
>> 8f41958bdd577731f7411c9605cfaa9db6766809
>> cat: .git/BISECT_NAMES: No such file or directory
>> root@amit:/usr/src/linux-git #
>> root@amit:/usr/src/linux-git #
>> root@amit:/usr/src/linux-git # git tag v2.6.22-git6 
>> 8f41958bdd577731f7411c9605cfaa9db6766809
>> root@amit:/usr/src/linux-git # git tag v2.6.22-git8 
>> a5fcaa210626a79465321e344c91a6a7dc3881fa
>> root@amit:/usr/src/linux-git #
>> root@amit:/usr/src/linux-git #
>> root@amit:/usr/src/linux-git # git bisect good v2.6.22-git6
>> cat: .git/BISECT_NAMES: No such file or directory
>> root@amit:/usr/src/linux-git #
>> root@amit:/usr/src/linux-git #
>> root@amit:/usr/src/linux-git #
>> root@amit:/usr/src/linux-git # git bisect bad v2.6.22-git8
>> cat: .git/BISECT_NAMES: No such file or directory
>>
>> Thanks and Regards,
>>
> 
> you seem to be missing a "git bisect start" from that sequence ... see 
> the man page for more details.
Yes indeed. Somehow the state was messed up due to different commands I 
had tried. Now it works ok.
root@amit:/usr/src/linux-git # git bisect good v2.6.22-git6
root@amit:/usr/src/linux-git # git bisect bad v2.6.22-git8
Bisecting: 362 revisions left to test after this
[02b2318e07f98a7cdf7089a4457a8d62424aa824] Merge branch 'master' of 
master.kernel.org:/pub/scm/linux/kernel/git/davem/sparc-2.6
Thanks a lot for everyone for their help. _Much appreciated_!
Best Regards,
-- 
Amit Walambe
Design Engineer, Arcom Control Systems Ltd.
http://www.arcom.com
Tel: +44-(0)1223 411200 ext. 3204
Direct: +44-(0)1223 403465

_____________________________________________________________________
The message in this transmission is sent in confidence for the attention of the addressee only and should not be disclosed to any other party. Unauthorised recipients are requested to preserve this confidentiality. Please advise the sender if the addressee is not resident at the receiving end.  Email to and from Arcom is automatically monitored for operational and lawful business reasons.

This message has been virus scanned by MessageLabs.